[#ftl output_format="XML"]
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<rsm:CrossIndustryDocument xmlns:ram="urn:un:unece:uncefact:data:standard:ReusableAggregateBusinessInformationEntity:12" xmlns:udt="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:15" xmlns:rsm="urn:ferd:CrossIndustryDocument:invoice:1p0">
    <rsm:SpecifiedExchangedDocumentContext>
        <ram:GuidelineSpecifiedDocumentContextParameter>
            <ram:ID>urn:ferd:CrossIndustryDocument:invoice:1p0:comfort</ram:ID>
        </ram:GuidelineSpecifiedDocumentContextParameter>
    </rsm:SpecifiedExchangedDocumentContext>
    <rsm:HeaderExchangedDocument>
        <ram:ID>${invoice.number}</ram:ID>
        <ram:Name>Rechnung</ram:Name>
        <ram:TypeCode>380</ram:TypeCode>
        <ram:IssueDateTime>
            <udt:DateTimeString format="102">${invoice.date?date?string("yyyyMMdd")}</udt:DateTimeString>
        </ram:IssueDateTime>
        <ram:IncludedNote>
            <ram:Content></ram:Content>
        </ram:IncludedNote>
    </rsm:HeaderExchangedDocument>
    <rsm:SpecifiedSupplyChainTradeTransaction>
        <ram:ApplicableSupplyChainTradeAgreement>
            <ram:SellerTradeParty>
                <ram:Name>${business.name}</ram:Name>
                <ram:DefinedTradeContact>
                    <ram:PersonName>${business.attention}</ram:PersonName>
                    <ram:TelephoneUniversalCommunication>
                        <ram:CompleteNumber>${business.phone}</ram:CompleteNumber>
                    </ram:TelephoneUniversalCommunication>
                    <ram:EmailURIUniversalCommunication>
                        <ram:URIID>${business.email}</ram:URIID>
                    </ram:EmailURIUniversalCommunication>
                </ram:DefinedTradeContact>
                <ram:PostalTradeAddress>
                    <ram:PostcodeCode>${business.zip}</ram:PostcodeCode>
                    <ram:LineOne>${business.address}</ram:LineOne>
                    <ram:CityName>${business.city}</ram:CityName>[#if business.country?length != 0]
                    <ram:CountryID>${business.country}</ram:CountryID>[/#if]
                </ram:PostalTradeAddress>
                <ram:SpecifiedTaxRegistration>
                    <ram:ID schemeID="VA">${business.taxNumber}</ram:ID>
                </ram:SpecifiedTaxRegistration>
            </ram:SellerTradeParty>
            <ram:BuyerTradeParty>
                <ram:Name>${client.name}</ram:Name>
                <ram:DefinedTradeContact>
                    <ram:PersonName>${client.attention}</ram:PersonName>
                </ram:DefinedTradeContact>
                <ram:PostalTradeAddress>
                    <ram:PostcodeCode>${client.zip}</ram:PostcodeCode>
                    <ram:LineOne>${client.address}</ram:LineOne>
                    <ram:CityName>${client.city}</ram:CityName>[#if client.country?length != 0]
                    <ram:CountryID>${client.country}</ram:CountryID>[/#if]
                </ram:PostalTradeAddress>
                <ram:SpecifiedTaxRegistration>
                    <ram:ID schemeID="VA">${client.taxNumber}</ram:ID>
                </ram:SpecifiedTaxRegistration>
            </ram:BuyerTradeParty>
        </ram:ApplicableSupplyChainTradeAgreement>
        <ram:ApplicableSupplyChainTradeDelivery>
            <ram:ActualDeliverySupplyChainEvent>
                <ram:OccurrenceDateTime>
                    <udt:DateTimeString format="102">${invoice.date?date?string("yyyyMMdd")}</udt:DateTimeString>
                </ram:OccurrenceDateTime>
            </ram:ActualDeliverySupplyChainEvent>
        </ram:ApplicableSupplyChainTradeDelivery>
        <ram:ApplicableSupplyChainTradeSettlement>
            <ram:PaymentReference>${invoice.number}</ram:PaymentReference>
            <ram:InvoiceCurrencyCode>${invoice.currency.currencyCode}</ram:InvoiceCurrencyCode>
            [#-- Uncomment to add payment details like IBAN and BIC
            <ram:SpecifiedTradeSettlementPaymentMeans>
                <ram:PayerPartyDebtorFinancialAccount>
                    <ram:IBANID>DE01234..</ram:IBANID>
                </ram:PayerPartyDebtorFinancialAccount>
                <ram:PayerSpecifiedDebtorFinancialInstitution>
                    <ram:BICID>GENO...</ram:BICID>
                </ram:PayerSpecifiedDebtorFinancialInstitution>
            </ram:SpecifiedTradeSettlementPaymentMeans>
            --]
            <ram:SpecifiedTradeSettlementMonetarySummation>
                <ram:LineTotalAmount currencyID="${invoice.total.currency.currencyCode}">${invoice.total.amount?string("###0.00")}</ram:LineTotalAmount>
                <ram:ChargeTotalAmount currencyID="${invoice.currency.currencyCode}">0.00</ram:ChargeTotalAmount>
                <ram:AllowanceTotalAmount currencyID="${invoice.currency.currencyCode}">0.00</ram:AllowanceTotalAmount>
                <ram:TaxBasisTotalAmount currencyID="${invoice.total.currency.currencyCode}">${invoice.total.amount?string("###0.00")}</ram:TaxBasisTotalAmount>
                <ram:TaxTotalAmount currencyID="${invoice.taxesTotal.currency.currencyCode}">${invoice.taxesTotal.amount?string("###0.00")}</ram:TaxTotalAmount>
                <ram:GrandTotalAmount currencyID="${invoice.grandTotal.currency.currencyCode}">${invoice.grandTotal.amount?string("###0.00")}</ram:GrandTotalAmount>
                <ram:TotalPrepaidAmount currencyID="${invoice.paymentsTotal.currency.currencyCode}">${invoice.paymentsTotal.amount?string("###0.00")}</ram:TotalPrepaidAmount>
                <ram:DuePayableAmount currencyID="${invoice.balance.currency.currencyCode}">${invoice.balance.amount?string("###0.00")}</ram:DuePayableAmount>
            </ram:SpecifiedTradeSettlementMonetarySummation>
        </ram:ApplicableSupplyChainTradeSettlement>
        [#list invoice.items as item]
        <ram:IncludedSupplyChainTradeLineItem>
            <ram:AssociatedDocumentLineDocument/>
            <ram:SpecifiedSupplyChainTradeAgreement>
                <ram:GrossPriceProductTradePrice>
                    <ram:ChargeAmount currencyID="${item.regularPrice.currency.currencyCode}">${item.regularPrice.amount?string("###0.0000")}</ram:ChargeAmount>
                </ram:GrossPriceProductTradePrice>
                <ram:NetPriceProductTradePrice>
                    <ram:ChargeAmount currencyID="${item.regularPrice.currency.currencyCode}">${item.regularPrice.amount?string("###0.0000")}</ram:ChargeAmount>
                </ram:NetPriceProductTradePrice>
            </ram:SpecifiedSupplyChainTradeAgreement>
            <ram:SpecifiedSupplyChainTradeDelivery>
                <ram:BilledQuantity unitCode="[#if item.quantityType.id == 1]HUR[#else]C62[/#if]">${item.quantity?string("###0.0000")}</ram:BilledQuantity>
            </ram:SpecifiedSupplyChainTradeDelivery>
            [#if item.taxable]
            <ram:SpecifiedSupplyChainTradeSettlement>
            	[#assign taxGroup = item.taxGroupEnabled?then(item.taxGroup, invoice.invoice.taxGroup)]
            	[#list taxGroup.taxes as tax]
                <ram:ApplicableTradeTax>
                    <ram:TypeCode>VAT</ram:TypeCode>
                    <ram:ApplicablePercent>${tax.defaultRate.rate * 100}</ram:ApplicablePercent>
                </ram:ApplicableTradeTax>
            	[/#list]
            </ram:SpecifiedSupplyChainTradeSettlement>
            [#else]
            <ram:SpecifiedSupplyChainTradeSettlement/>
            [/#if]
            <ram:SpecifiedTradeProduct>
                <ram:Name>${item.name}</ram:Name>
                <ram:Description>${item.description}</ram:Description>
            </ram:SpecifiedTradeProduct>
        </ram:IncludedSupplyChainTradeLineItem>
        [/#list]
    </rsm:SpecifiedSupplyChainTradeTransaction>
</rsm:CrossIndustryDocument>